io.vertx.amqp

## Interface AmqpMessageBuilder

-     public interface AmqpMessageBuilder

  Builder to create a new `AmqpMessage`.

  Reference about the different metadata can be found on AMQP message properties.

  Note that the body is set using `withBodyAs*` method depending on the passed type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpMessageBuilder` | `address(String address)`
    `AmqpMessageBuilder` | `applicationProperties(JsonObject props)`
    `AmqpMessage` | `build()`
    `AmqpMessageBuilder` | `contentEncoding(String ct)`
    `AmqpMessageBuilder` | `contentType(String ct)`
    `AmqpMessageBuilder` | `correlationId(String correlationId)`
    `static AmqpMessageBuilder` | `create()`
    `AmqpMessageBuilder` | `creationTime(long ct)`
    `AmqpMessageBuilder` | `deliveryCount(int count)`
    `AmqpMessageBuilder` | `durable(boolean durable)`
    `AmqpMessageBuilder` | `expiryTime(long expiry)`
    `AmqpMessageBuilder` | `firstAcquirer(boolean first)`
    `AmqpMessageBuilder` | `groupId(String gi)`
    `AmqpMessageBuilder` | `id(String id)`
    `AmqpMessageBuilder` | `priority(short priority)`
    `AmqpMessageBuilder` | `replyTo(String replyTo)`
    `AmqpMessageBuilder` | `replyToGroupId(String rt)`
    `AmqpMessageBuilder` | `subject(String subject)`
    `AmqpMessageBuilder` | `ttl(long ttl)`
    `AmqpMessageBuilder` | `withBody(String value)`
    `AmqpMessageBuilder` | `withBooleanAsBody(boolean v)`
    `AmqpMessageBuilder` | `withBufferAsBody(Buffer buffer)`
    `AmqpMessageBuilder` | `withByteAsBody(byte v)`
    `AmqpMessageBuilder` | `withCharAsBody(char c)`
    `AmqpMessageBuilder` | `withDoubleAsBody(double v)`
    `AmqpMessageBuilder` | `withFloatAsBody(float v)`
    `AmqpMessageBuilder` | `withInstantAsBody(java.time.Instant v)`
    `AmqpMessageBuilder` | `withIntegerAsBody(int v)`
    `AmqpMessageBuilder` | `withJsonArrayAsBody(JsonArray json)`
    `AmqpMessageBuilder` | `withJsonObjectAsBody(JsonObject json)`
    `AmqpMessageBuilder` | `withListAsBody(List list)`
    `AmqpMessageBuilder` | `withLongAsBody(long v)`
    `AmqpMessageBuilder` | `withMapAsBody(Map map)`
    `AmqpMessageBuilder` | `withShortAsBody(short v)`
    `AmqpMessageBuilder` | `withSymbolAsBody(String value)`
    `AmqpMessageBuilder` | `withUuidAsBody(UUID v)`

- - ### Method Detail

    - #### create

          static AmqpMessageBuilder create()

      Returns:
        a new instance of `AmqpMessageBuilder`

    - #### build

          AmqpMessage build()

      Returns:
        the message.

    - #### priority

          AmqpMessageBuilder priority(short priority)

    - #### durable

          AmqpMessageBuilder durable(boolean durable)

    - #### ttl

          AmqpMessageBuilder ttl(long ttl)

    - #### firstAcquirer

          AmqpMessageBuilder firstAcquirer(boolean first)

    - #### deliveryCount

          AmqpMessageBuilder deliveryCount(int count)

    - #### id

          AmqpMessageBuilder id(String id)

    - #### address

          AmqpMessageBuilder address(String address)

    - #### replyTo

          AmqpMessageBuilder replyTo(String replyTo)

    - #### correlationId

          AmqpMessageBuilder correlationId(String correlationId)

    - #### withBody

          AmqpMessageBuilder withBody(String value)

    - #### withSymbolAsBody

          AmqpMessageBuilder withSymbolAsBody(String value)

    - #### subject

          AmqpMessageBuilder subject(String subject)

    - #### contentType

          AmqpMessageBuilder contentType(String ct)

    - #### contentEncoding

          AmqpMessageBuilder contentEncoding(String ct)

    - #### expiryTime

          AmqpMessageBuilder expiryTime(long expiry)

    - #### creationTime

          AmqpMessageBuilder creationTime(long ct)

    - #### groupId

          AmqpMessageBuilder groupId(String gi)

    - #### replyToGroupId

          AmqpMessageBuilder replyToGroupId(String rt)

    - #### applicationProperties

          AmqpMessageBuilder applicationProperties(JsonObject props)

    - #### withBooleanAsBody

          AmqpMessageBuilder withBooleanAsBody(boolean v)

    - #### withByteAsBody

          AmqpMessageBuilder withByteAsBody(byte v)

    - #### withShortAsBody

          AmqpMessageBuilder withShortAsBody(short v)

    - #### withIntegerAsBody

          AmqpMessageBuilder withIntegerAsBody(int v)

    - #### withLongAsBody

          AmqpMessageBuilder withLongAsBody(long v)

    - #### withFloatAsBody

          AmqpMessageBuilder withFloatAsBody(float v)

    - #### withDoubleAsBody

          AmqpMessageBuilder withDoubleAsBody(double v)

    - #### withCharAsBody

          AmqpMessageBuilder withCharAsBody(char c)

    - #### withInstantAsBody

          AmqpMessageBuilder withInstantAsBody(java.time.Instant v)

    - #### withUuidAsBody

          AmqpMessageBuilder withUuidAsBody(UUID v)

    - #### withListAsBody

          AmqpMessageBuilder withListAsBody(List list)

    - #### withMapAsBody

          AmqpMessageBuilder withMapAsBody(Map map)

    - #### withBufferAsBody

          AmqpMessageBuilder withBufferAsBody(Buffer buffer)

    - #### withJsonObjectAsBody

          AmqpMessageBuilder withJsonObjectAsBody(JsonObject json)

    - #### withJsonArrayAsBody

          AmqpMessageBuilder withJsonArrayAsBody(JsonArray json)

Copyright © 2019 Eclipse. All rights reserved.